Write-Host "--Decompile All MBIN Files--"
Write-Host "MBINCompilers Found:"
$compilerquery = ".\mbincompiler*.exe"
$compilerarray = @()
$i = 0

ls $compilerquery |%{    
    $compilerarray += $_.BaseName
    Write-Host $i $_.BaseName
    $i++;
}

$inputindex = Read-Host -Prompt 'Enter number to choose which MBINCompiler version to use'

$mbincompiler = $compilerarray[$inputindex]

Write-Host $mbincompiler

$inputfolder = Read-Host -Prompt 'Input path to folder containing MBIN Files'



$mbinquery = $inputfolder + "\*.MBIN"

ls $mbinquery -recurse|%{
   $mbinfile = $_.FullName.replace("[", "``[").replace("]", "``]") 
   $mbincommand = ".\" + $mbincompiler + ' "' + $mbinfile + '"'
   Invoke-Expression $mbincommand
}